package com.ktg.iscs.service;

import com.ktg.iscs.domain.dto.flexiblejob.AddFlexibleJobDTO;
import com.ktg.iscs.domain.dto.hardwareApi.TakeOutKeyDTO;
import com.ktg.iscs.domain.dto.hardwareApi.TakeTicketLockDTO;

import java.util.List;

/**
 * 灵活作业调用接口
 *
 * @author cgj
 * @date 2025-11-10
 */
public interface FlexibleJobService {


    /**
     * 灵活作业-新增
     * @param dto
     * @return
     */
    Long insertFlexibleJobTicket(AddFlexibleJobDTO dto);

    /**
     * 灵活作业-取出钥匙
     * @param list
     * @return
     */
    Boolean insertTakeOutKey(List<TakeOutKeyDTO> list);

    /**
     * 灵活作业-归还钥匙
     * @param list
     * @return
     */
    Boolean updateTakeBackKey(List<TakeOutKeyDTO> list);

    /**
     * 灵活作业-取出挂锁
     * @param list
     * @return
     */
    Boolean insertTakeOutLock(List<TakeTicketLockDTO> list);

    /**
     * 灵活作业-归还挂锁
     * @param list
     * @return
     */
    Boolean updateTakeBackLock(List<TakeTicketLockDTO> list);

}
